Subject: bug#6338: 23.2; line-encoding not recognized in short files

From: [email-masked]
Date: Thu, 25 Aug 2016 22:38:56 -0400

found 6338 24.2
tags 6338 fixed
close 6338 24.3
quit

David Reitter <[email-masked]> writes:

> Emacs fails to recognize the encoding of a relatively short file with
> Mac-like line endings (attached).  I think that this is the main
> problem.  This I have reproduced in a 23-based Emacs.  If the file is
> made longer (with more LaTeX code), line-endings seem to be recognized
> correctly.
>

Opening that file with Emacs up to version 24.2 results in a single line
containing ^M in the buffer.  In Emacs 24.3 and up the Mac line endings
are recognized correctly, so I'm closing this as fixed.